package cn.com.qmth.stmms.biz.basic.service;

import java.util.List;
import java.util.Set;

import cn.com.qmth.stmms.biz.basic.bean.RoleInfoQuery;
import cn.com.qmth.stmms.biz.basic.bean.RolePrivilegeDomain;
import cn.com.qmth.stmms.biz.basic.bean.RolePrivilegeVo;
import cn.com.qmth.stmms.common.enums.Role;

public interface RolePrivilegeService {

	Set<String> getRoleCodes(Integer schoolId, Role role);

	List<RolePrivilegeVo> findByQuery(RoleInfoQuery req);

	void save(RolePrivilegeDomain domain);


}
